package com.ruoyi.project.training.newstaff.service;

import java.util.List;
import com.ruoyi.project.training.newstaff.domain.TTnSchoolplan;

/**
 * 校招培训Service接口
 *
 * @author ruoyi
 * @date 2023-07-05
 */
public interface ITTnSchoolplanService
{
    /**
     * 查询校招培训
     *
     * @param id 校招培训ID
     * @return 校招培训
     */
    public TTnSchoolplan selectTTnSchoolplanById(Long id);

    /**
     * 查询校招培训列表
     *
     * @param tTnSchoolplan 校招培训
     * @return 校招培训集合
     */
    public List<TTnSchoolplan> selectTTnSchoolplanList(TTnSchoolplan tTnSchoolplan);

    /**
     * 新增校招培训
     *
     * @param tTnSchoolplan 校招培训
     * @return 结果
     */
    public int insertTTnSchoolplan(TTnSchoolplan tTnSchoolplan);

    /**
     * 修改校招培训
     *
     * @param tTnSchoolplan 校招培训
     * @return 结果
     */
    public int updateTTnSchoolplan(TTnSchoolplan tTnSchoolplan);

    /**
     * 批量删除校招培训
     *
     * @param ids 需要删除的校招培训ID
     * @return 结果
     */
    public int deleteTTnSchoolplanByIds(Long[] ids);

    /**
     * 删除校招培训信息
     *
     * @param id 校招培训ID
     * @return 结果
     */
    public int deleteTTnSchoolplanById(Long id);

    int batchStatusByIds(Long[] ids);


}
